classification
Title: off-by-one error in PyState_AddModule
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, miss-islington
Priority: normal Keywords: patch

Created on 2019-09-11 23:08 by benjamin.peterson, last changed 2019-09-12 00:04 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16007 merged benjamin.peterson, 2019-09-11 23:14
PR 16008 merged miss-islington, 2019-09-11 23:43
PR 16009 merged miss-islington, 2019-09-11 23:43
Messages (4)
msg352031 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-09-11 23:08
https://github.com/python/cpython/blob/3f4db4a0bab073b768fae958e93288bd5d24eadd/Python/pystate.c#L707 should be using > not >=.
msg352033 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-09-11 23:43
New changeset 39de95b746c990e6a2fe9af5fad01747f58b2e5f by Benjamin Peterson in branch 'master':
closes bpo-38124: Fix bounds check in PyState_AddModule. (GH-16007)
https://github.com/python/cpython/commit/39de95b746c990e6a2fe9af5fad01747f58b2e5f
msg352035 - (view) Author: miss-islington (miss-islington) Date: 2019-09-12 00:02
New changeset 8892a1d685e4898b28961308b3c1447fe9ad3269 by Miss Islington (bot) in branch '3.7':
closes bpo-38124: Fix bounds check in PyState_AddModule. (GH-16007)
https://github.com/python/cpython/commit/8892a1d685e4898b28961308b3c1447fe9ad3269
msg352036 - (view) Author: miss-islington (miss-islington) Date: 2019-09-12 00:04
New changeset a5a7102636de82e0687af7131357762337d49c7c by Miss Islington (bot) in branch '3.8':
closes bpo-38124: Fix bounds check in PyState_AddModule. (GH-16007)
https://github.com/python/cpython/commit/a5a7102636de82e0687af7131357762337d49c7c
History
Date User Action Args
2019-09-13 08:09:02vstinnerunlinkissue38118 superseder
2019-09-12 14:43:33benjamin.petersonlinkissue38118 superseder
2019-09-12 00:04:30miss-islingtonsetmessages: + msg352036
2019-09-12 00:02:53miss-islingtonsetnosy: + miss-islington
messages: + msg352035
2019-09-11 23:43:40miss-islingtonsetpull_requests: + pull_request15635
2019-09-11 23:43:34miss-islingtonsetpull_requests: + pull_request15634
2019-09-11 23:43:25benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg352033

stage: patch review -> resolved
2019-09-11 23:14:28benjamin.petersonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request15633
2019-09-11 23:10:13benjamin.petersonsettitle: off-by-one error in PyState_GetModule -> off-by-one error in PyState_AddModule
2019-09-11 23:08:38benjamin.petersoncreate